<?php
class UnidadMedidasModel extends Query{
    public function __construct()
    {
        parent::__construct();
    }
    private $codigo, $descripcion,$estado;

    public function insertUnidadMedida(int $codigo,string $descripcion)
    {
        $this->codigo = $codigo;
        $this->descripcion = $descripcion;
       
        $sql = "insert into stipounidadesmedidas (codigo,descripcion) values (?,?)";
        $datos = array($this->codigo,$this->descripcion);
        $data=$this->save($sql,$datos);
        if($data == 1){
            $res = 1;
        }else{
            $res = 0;
        }
        return $res;
    }

    public function getUnidadMedidas()
    {
        $sql = "select * from stipounidadesmedidas";
        $data = $this->selectAll($sql);
        return $data;
    }
    
    public function getUnidadMedida(int $codigo)
    {
        $this->codigo=$codigo;
        $sql = "select * from stipounidadesmedidas where codigo=".$this->codigo;
        
        $data = $this->select($sql);
        return $data;
    }

    public function updateUnidadMedida(int $codigo,string $descripcion){
        $this->codigo = $codigo;
        $this->descripcion = $descripcion;
        $sql="update stipounidadesmedidas
        set descripcion = ? where codigo=?";
        $datos = array($this->descripcion,$this->codigo);
        $data=$this->save($sql,$datos);
        if($data==1){
            $res=1;
        }else{
            $res=0;
        }
        return $res;        
    }

    public function accion(int $estado , int $id){
        $this->codigo = $id;
        $this->estado=$estado;
        $sql = "update stipounidadesmedidas set estado=? where codigo=?";
        $datos= array($this->estado, $this->codigo);
        $data=$this->save($sql,$datos);
        return $data;
    }

}
?>